#include <stdio.h>

void fun(char *c, int *d)
{
    *c = *c + 1;
    *d = *d + 1;
    printf("fun ---> %c, %c\n", *c, *d);
}

int main()
{
    char a = 'A', b = 'a';
    fun(&b, &a);
    printf("main --> %c, %c\n", a, b);
    return 0;
}
